> For the complete documentation index, see [llms.txt](https://docs.bird.com/taxi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/taxi/connectors/external-file-gateway-connector/exporting-an-email-to-epsilon.md).

# Exporting an email to an External File Gateway

To export a version to your External File Gateway you will need to select the Project, Mailing and finally the Version you would like to export. You can export from the Mailing level, Version level or from the visual editor. To export:

1. **In Taxi, head to your Home screen** Select the Project that contains the version you want to export.
2. **Select the Mailing** If you are Admin you can select the Kebab menu and select 'Export' on the mailing level.
3. **After selecting the Mailing you will see the Versions page** Select the 'Export Mailing' option on the right-hand side of the screen under the Exports section. Alternatively select the version you want to export to open it in the visual editor.
4. **In the visual editor, select 'Export Mailing'**
5. **On the Export page, scroll to ESP connectors** Select your External File Gateway connector.
6. **Under the Segmentation section** You can select if you want to export one version or use a segment set. Each version you export will result in a separate JSON file written to your SFTP host.
7. **Click 'Start Export'** You will see a green banner when your export is complete. The connector writes one JSON file per version to your configured SFTP host using the filename pattern set up on the connector.

### What the exported JSON looks like

Each file follows this shape (the exact contents of `data` and `metadata` depend on the field names configured on the connector — see *Setting up the External File Gateway connector*):

```jsonl
  {
    "campaign_name": "My Newsletter: v1",
    "uploaded_by": "user@example.com",
    "updated_at": "2026-05-05T15:00:00Z",
    "project_url": "https://your-org.emailcms.net/versions/123",
    "data": {
      "campaign_html": "<html>…</html>",
      "campaign_plaintext": "…",
      "subject": "Your subject line",
      "<data_field_name>": "<resolved value>",
      "global_content": {
        "<key field value>": "<value field value>"
      }
    },
    "metadata": {
      "<metadata_field_name>": "<resolved value>"
    }
  }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/taxi/connectors/external-file-gateway-connector/exporting-an-email-to-epsilon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
